OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
HistOp< IterT, ValueOp > Struct Template Reference

`#include <Statistics.h>`

## Public Member Functions
| HistOp (const ValueOp &op, double vmin, double vmax, size_t bins)
void | operator() (const IterT &iter)
void | join (HistOp &other)

## Public Attributes
math::Histogram | hist
ValueOp | getValue

## Constructor & Destructor Documentation

## ◆ HistOp()

HistOp | ( | const ValueOp & | op,
|  | double | vmin,
|  | double | vmax,
|  | size_t | bins
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | HistOp< IterT, ValueOp > & | other | ) |
| inline

## ◆ operator()()

void operator() | ( | const IterT & | iter | ) |
| inline

## Member Data Documentation

## ◆ getValue

ValueOp getValue

## ◆ hist

math::Histogram hist

The documentation for this struct was generated from the following file:

- Statistics.h